﻿@model eCommerce.Services.Model.Category
@using eCommerce.Services.Utils
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Categorías";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Categorías</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("CategoryUpdate", "Categories", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="Name" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Categoría Padre</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="ParentCategoryId" id="ParentCategoryId" data-plugin="select2">
                                    <option value="@string.Empty">Ninguna</option>
                                    @if (TempData["Categories"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Categories"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        @*<div class="form-group">
                            <label class="col-sm-2 control-label">Tipo tabla de talles</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="SizeTableTypeId" id="SizeTableTypes" data-plugin="select2">
                                    <option value=""></option>
                                    <option value="@((int)SizeTableTypeEnum.Woman)" selected="@((int)SizeTableTypeEnum.Woman == Model.SizeTableTypeId)">Tabla para Jeans Rigidos</option>
                                    <option value="@((int)SizeTableTypeEnum.Man)" selected="@((int)SizeTableTypeEnum.Man == Model.SizeTableTypeId)">Tabla para Jeans elastizados</option>
                                </select>
                            </div>
                        </div>*@
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descripcion</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="Description" name="Description" value="@Model.Description" />
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Seo Url</label>
                            <div class="col-sm-7">
                                <div class="input-group">
                                    <span class="input-group-addon seourl-prefix">/@Utility.CataloguePrefix/</span>
                                    <input type="text" class="form-control" id="SeoUrl" name="SeoUrlSelf" value="@Model.SeoUrlSelf">
                                </div>
                            </div>
                        </div>

                        @*<div class="form-group">
                                <div class="col-sm-2 col-sm-offset-2">
                                    <label class="col-sm-12">Peso</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="Weight" placeholder="0,00" value="@Model.Weight">
                                        <span class="input-group-addon">kg</span>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label class="col-sm-12">Alto</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="Heigth" placeholder="0,00" value="@Model.Heigth">
                                        <span class="input-group-addon">cm</span>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label class="col-sm-12">Largo</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="Long" placeholder="0,00" value="@Model.Long">
                                        <span class="input-group-addon">cm</span>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label class="col-sm-12">Ancho</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="Wide" placeholder="0,00" value="@Model.Wide">
                                        <span class="input-group-addon">cm</span>
                                    </div>
                                </div>
                            </div>*@

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Habilitada</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="Enabled" id="Enabled" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Enabled ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        @*<div class="form-group">
                                <label class="col-sm-2 control-label">Menu Home</label>
                                <div class="col-sm-9">
                                    <div class="checkbox-custom checkbox-primary">
                                        <input type="checkbox" name="ShowInHome" id="ShowInHome" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.ShowInHome ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                    </div>
                                </div>
                            </div>*@
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Menu Header</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="ShowInHeader" id="ShowInHeader" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.ShowInHeader ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">&Oacute;rden</label>
                            <div class="col-sm-3">
                                <input type="text" class="form-control" name="DisplayOrder" value="@Model.DisplayOrder" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Imágen</label>
                            <div class="col-sm-5">
                                <input type="file" name="image" id="image" data-plugin="dropify" data-default-file="@ViewData["Image"]" />
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Categories'">Cancelar</button>
                            @Html.HiddenFor(model => model.CategoryId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<!--INFO PARA ENVÍO-->
@*<div class="tab-pane " id="Stock" role="tabpanel">
        <div class="form-group">
            <label class="col-sm-2 control-label">Peso</label>
            <div class="col-sm-2">
                <div class="input-group">
                    <input type="text" class="form-control" name="Weight" placeholder="" value="@Model.Weight">
                    <span class="input-group-addon">gr</span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">Ancho</label>
            <div class="col-sm-2">
                <div class="input-group">
                    <input type="text" class="form-control" name="Wide" placeholder="" value="@Model.Wide">
                    <span class="input-group-addon">cm</span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">Largo</label>
            <div class="col-sm-2">
                <div class="input-group">
                    <input type="text" class="form-control" name="Long" placeholder="" value="@Model.Long">
                    <span class="input-group-addon">cm</span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">Alto</label>
            <div class="col-sm-2">
                <div class="input-group">
                    <input type="text" class="form-control" name="Heigth" placeholder="" value="@Model.Heigth">
                    <span class="input-group-addon">cm</span>
                </div>
            </div>
        </div>
    </div>*@


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        $(document).ready(function () {

            var drEvent = $('#image').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) { $("#flagDeleteImage").val(true); });

            $("#Name").keyup(function () {
                var url = $(this).val().toLowerCase().replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, '-');
                $("#SeoUrl").val(url);
            });

            $("#ParentCategoryId").change(function () {
                debugger;
                var data = { CategoryId: $(this).val() }
                $.ajax({
                    cache: false,
                    method: "GET",
                    data: data,
                    url: "/Categories/GetCategorySeoUrl",
                    success: function (result) {
                        debugger;
                        if (result.status == "ok") {
                            var text = result.data + "-";
                            $(".seourl-prefix").text(text);
                        } else {
                            var text = "/shop/";
                            $(".seourl-prefix").text(text);
                        }

                    },
                    error: function (result) {
                        var text = "/shop/";
                        $(".seourl-prefix").text(text);
                    }
                });
            });

            $("#ParentCategoryId").change();
        });


    </script>
}

